#include<iostream>
#include<conio.h>
using namespace std;
class SeriAClass
{
	private :
		int i;
		double m1, m2, m3;
	public :
		int x;
		SeriAClass()
		{
			m1 = 1;
			m2 = 5;
		}
		double Calculate()
		{
			switch(x)
			{
				case 1 :
					return 1;
					break;
				case 2 :
					return 5;
					break;
				default :
					{
						for(i = 2; i < x; i++)
						{
							m3 = (m1 + m2) / 2;
							m1 = m2;
							m2 = m3;
						}
					    return m3;
					}
					break;
			}
		}
};

int main()
{
	SeriAClass A;
	cout << "Meghdare Vorodi = ";
	cin >> A.x;
	cout << "Natije = ";
	cout << A.Calculate() << endl;;
	getch();
}

